%define name            perl-XML-Simple
%define version         1.08
%define release         1
%define prefix          /usr/lib/perl5/site_perl

Summary: AppConfig
Name: %name
Version: %version
Release: %release
Copyright: GPL & Artistic License
URL: http://search.cpan.org/search?dist=XML::Simple
Group: Development/Perl
Source: XML-Simple-%{version}.tar.gz
Requires: perl, perl-XML-Parser
Vendor: http://sisuite.org
Packager: SIS Devel Team <sisuite-devel@lists.sf.net>
Prefix: %prefix
Buildroot: /var/tmp/%{name}-%{version}-root
BuildArchitectures: noarch

%description
XML::Simple - Easy API to read/write XML (esp config files)

The XML::Simple module provides a simple API layer on top of the XML::Parser
module.  Two functions are exported: XMLin() and XMLout().

%prep
%setup -c -n %{name}-%{version}

# No configure, no make, just copy files to the output dir.
%build
cd XML-Simple-%{version}
perl Makefile.PL INSTALLSITELIB=/var/tmp/%{name}-%{version}-root%{prefix} INSTALLMAN1DIR=/var/tmp/%{name}-%{version}-root/usr/share/man/man1 INSTALLMAN3DIR=/var/tmp/%{name}-%{version}-root/usr/share/man/man3 SITEPREFIX=/var/tmp/%{name}-%{version}-root%{prefix} INSTALLSITEMAN1DIR=/var/tmp/perl-XML-Simple-1.08-root/usr/share/man/man1 INSTALLSITEMAN3DIR=/var/tmp/perl-XML-Simple-1.08-root/usr/share/man/man3
make
make test
make install
rm -rf /var/tmp/%{name}-%{version}-root%{prefix}/auto

%clean
rm -fr $RPM_BUILD_DIR/*
rm -rf /var/tmp/%{name}-%{version}-root

%files
%defattr(-,root,root)
%doc XML-Simple-%{version}/README
/usr/share/man
%{prefix}/XML

%changelog
* Tue Nov 19 2002 Sean Dague <sean@dague.net> 1.08-1
- Initial creation of this spec file


